Class | Merb::Config::ConfigBlock
In: | lib/merb-core/config.rb
Parent: | Object

### Methods

method_missing new

### Public Class methods

new(klass, &block)

Evaluates the provided block, where any call to a method causes #[]= to be called on klass with the method name as the key and the arguments as the value.

#### Parameters

klass<Object~[]=>: | The object on which to assign values.
&block: | The block which specifies the config values to set.

#### Returns

nil

:api: private

### Public Instance methods

method_missing(method, *args)

Assign args as the value of the entry keyed by method.

:api: private

[Validate]